<?php

if ( ! function_exists( 'theaisle_elated_register_woocommerce_dropdown_cart_widget' ) ) {
	/**
	 * Function that register dropdown cart widget
	 */
	function theaisle_elated_register_woocommerce_dropdown_cart_widget( $widgets ) {
		$widgets[] = 'TheAisleElatedClassWoocommerceDropdownCart';
		
		return $widgets;
	}
	
	add_filter( 'theaisle_core_filter_register_widgets', 'theaisle_elated_register_woocommerce_dropdown_cart_widget' );
}

if ( ! function_exists( 'theaisle_elated_get_dropdown_cart_icon_class' ) ) {
	/**
	 * Returns dropdow cart icon class
	 */
	function theaisle_elated_get_dropdown_cart_icon_class() {
		$classes = array(
			'eltdf-header-cart'
		);
		
		$classes[] = theaisle_elated_get_icon_sources_class( 'dropdown_cart', 'eltdf-header-cart' );
		
		return $classes;
	}
}